## freetype 2.10.2+dfsg

=== debian/changelog ===
freetype (2.10.2+dfsg-3ubuntu1) groovy; urgency=medium

  * SECURITY UPDATE: heap buffer overflow via integer truncation in
    Load_SBit_Png
    - debian/patches/CVE-2020-15999.patch: Update src/sfnt/pngshim.c to
      test and reject invalid bitmap size earlier in Load_SBit_Png. Based on
      upstream patch.
    - CVE-2020-15999

 -- Alex Murray <alex.murray@canonical.com>  Tue, 20 Oct 2020 12:28:06 +1030

freetype (2.10.2+dfsg-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Add a superficial compile/link/run autopkgtest (Closes: #964246).

  [ Hugh McMaster ]
  * debian/rules:
    - Update a comment.
    - Fix whitespace formatting.
    - Override dh_auto_clean to clean up ft2demos.
    - Override dh_auto_clean to remove objs/.libs/libfreetype.ver.
    - Run a separate build sequence for libfreetype6-udeb, which should not
      depend on libbrotli1 (Closes: #964774).
  * Minor stylistic changes to d/tests/libfreetype-dev.
    - Thanks to Simon McVittie for writing the autopkgtest.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 15 Jul 2020 22:10:01 +1000

freetype (2.10.2+dfsg-2) unstable; urgency=medium

  * debian/control: Add libbrotli-dev as a dependency of libfreetype-dev
    (Closes: #964185).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 03 Jul 2020 22:40:45 +1000

freetype (2.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Support for WOFF2 fonts.
    - Type 1 fonts with non-integer metrics are now supported by the new
      (CFF) engine introduced in FreeType 2.9.
    - Auto-hinter support for Hanifi Rohingya.
  * Repack to remove non-DFSG-compatible minified JavaScript files from the
    main upstream tarball.
  * debian/control:
    - Raise Standards-Version to 4.5.0 from 4.4.1.
    - Sort Build-Depends list.
    - Use debhelper-compat version 13.
    - Build-Depend on libbrotli-dev to support WOFF2 fonts.
    - Sort the libfreetype-dev Depends field.
    - Recommend fonts-material-design-icons-iconfont with freetype2-doc.
  * debian/copyright:
    - Update for FreeType 2.10.2.
    - Add Files-Excluded field.
    - Remove copyright information for Excluded files.
  * debian/gbp.conf:
    - Always use pristine-tar.
    - Add component option for import-orig and export-orig.
  * Add debian/not-installed.
  * debian/patches:
    - Drop scale-phantom-points.patch and verbose-libtool.patch.
    - remove-gstatic-code.patch: Update file paths and patch content.
    - fix-js-doc-paths.patch: Add missing HTML files.
    - hide-donations-information.patch: Refresh patch.
    - Update patch order in the series file.
  * debian/rules:
    - Remove the dh_auto_install override.
    - Stop moving the HTML documentation (problem fixed upstream).
    - Force installation of correct ChangeLog for freetype2-demos.
    - Install the HTML documentation in libfreetype-dev but package the files
      in freetype2-doc (as preferred by Debian Policy section 12.3).
    - Install the CHANGES and PCF README files in libfreetype-dev.
    - Do not install docs/reference/assets/images. These files are not used.
    - Drop the reference/README installation exclusion in freetype2-docs.
  * debian/watch:
    - Download xz-compressed tarballs (Closes: #952973).
    - Update the filenamemangle used with the ft2docs tarball component.
    - Don't call uupdate.
    - Repack the main upstream source tarball to comply with the DFSG.
  * freetype2-demos:
    - Update manpage source path.
    - Use renamed lintian tag.
  * freetype2-doc:
    - Update doc-base registration paths.
    - Install jQuery symlink in libfreetype-dev.
    - Update paths in lintian overrides.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 02 Jul 2020 22:00:01 +1000

=== debian/control ===
Source: freetype
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 bzip2,
 gettext,
 libbrotli-dev,
 libjs-jquery,
 libpng-dev,
 libtool,
 libx11-dev <!stage1>,
 libz-dev,
 pkg-config,
 x11proto-core-dev <!stage1>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.freetype.org
Vcs-Git: https://salsa.debian.org/debian/freetype.git
Vcs-Browser: https://salsa.debian.org/debian/freetype

Package: libfreetype6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: FreeType 2 font engine, shared library files
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 The FreeType 2 library is their new software font engine.  It has been
 designed to provide the following important features:
  * A universal and simple API to manage font files
  * Support for several font formats through loadable modules
  * High-quality anti-aliasing
  * High portability & performance
 .
 Supported font formats include:
  * TrueType files (.ttf) and collections (.ttc)
  * Type 1 font files both in ASCII (.pfa) or binary (.pfb) format
  * Type 1 Multiple Master fonts.  The FreeType 2 API also provides
    routines to manage design instances easily
  * Type 1 CID-keyed fonts
  * OpenType/CFF (.otf) fonts
  * CFF/Type 2 fonts
  * Adobe CEF fonts (.cef), used to embed fonts in SVG documents with
    the Adobe SVG viewer plugin.
  * Windows FNT/FON bitmap fonts
 .
 This package contains the files needed to run programs that use the
 FreeType 2 library.

Package: libfreetype-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libfreetype6 (= ${binary:Version}),
 libbrotli-dev,
 libc6-dev | libc-dev,
 libpng-dev,
 zlib1g-dev | libz-dev,
 ${misc:Depends}
Suggests: freetype2-doc (= ${binary:Version})
Replaces: libfreetype6-dev (<< 2.10.1)
Breaks: libfreetype6-dev (<< 2.10.1)
Description: FreeType 2 font engine, development files
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains all of the supplementary files you need to develop your
 own programs using the FreeType 2 library.

Package: libfreetype6-dev
Architecture: any
Multi-Arch: same
Depends: libfreetype-dev (= ${binary:Version}), ${misc:Depends}
Section: oldlibs
Description: FreeType 2 font engine, development files (transitional package)
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains all of the supplementary files you need to develop your
 own programs using the FreeType 2 library.
 .
 This is a transitional package. It can safely be removed.

Package: freetype2-demos
Section: utils
Architecture: any
Multi-Arch: foreign
Build-Profiles: <!stage1>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeType 2 demonstration programs
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains some demonstration programs and utilities
 that showcase the features of the FreeType 2 font engine.

Package: freetype2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Recommends:
 fonts-material-design-icons-iconfont,
 fonts-noto-core
Replaces: libfreetype6-dev (<< 2.9.1)
Breaks: libfreetype6-dev (<< 2.9.1)
Description: FreeType 2 font engine, development documentation
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains the FreeType 2 development documentation.

Package: libfreetype6-udeb
Section: debian-installer
Architecture: any
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeType 2 font engine for the debian-installer
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This is the udeb package for use with the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Always abort if there are any problems with the symbols file.
DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export DPKG_GENSYMBOLS_CHECK_LEVEL

dep_ver := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d '.' -f -2)

udeb_dir := debian/udeb
udeb_builddir := $(udeb_dir)/build
udeb_installdir := $(udeb_dir)/install
configure_flags := --without-bzip2 --without-harfbuzz

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure --builddir=$(udeb_builddir) -- $(configure_flags) --without-brotli
	dh_auto_configure -- $(configure_flags)

override_dh_auto_build:
	sed -i '/^#[[:space:]]*define SIZEOF_LONG/s/[0-9]/__SIZEOF_LONG__/' \
	    $(udeb_builddir)/ftconfig.h builds/unix/ftconfig.h
	dh_auto_build --builddir=$(udeb_builddir)
	dh_auto_build
	dh_auto_build --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)

override_dh_auto_install:
	dh_auto_install --builddir=$(udeb_builddir) --destdir=$(udeb_installdir)
	dh_auto_install

override_dh_install:
	dh_install -p libfreetype6-udeb --sourcedir=$(udeb_installdir)
	sed -i -e '/dependency_libs/s/'.*'//' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libfreetype.la
	dh_install -p freetype2-demos -XREADME
	dh_install --remaining-packages

override_dh_installdocs-indep:
	dh_installdocs -p freetype2-doc --doc-main-package=libfreetype-dev \
	    -Xreference/assets/fonts \
	    -Xreference/assets/images \
	    -Xjs/jquery-1.11.0.min.js
	cp docs/CHANGES debian/freetype2-doc/usr/share/doc/libfreetype-dev/NEWS
	cp src/pcf/README debian/freetype2-doc/usr/share/doc/libfreetype-dev/pcf/

override_dh_installchangelogs:
	dh_installchangelogs -p freetype2-demos ft2demos/ChangeLog
	dh_installchangelogs --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -V 'libfreetype6 (>= $(dep_ver))' --add-udeb=libfreetype6-udeb

override_dh_auto_clean:
	dh_auto_clean --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
	dh_auto_clean
	rm -rf objs/.libs

## freetype 2.10.4%2Bdfsg

=== debian/changelog ===
freetype (2.10.4+dfsg-1+deb11u1) bullseye; urgency=medium

  * Add upstream patches to fix multiple vulnerabilities. Closes: #1010183.
    - CVE-2022-27404: heap buffer overflow via invalid integer decrement in
      sfnt_init_face() and woff2_open_font().
    - CVE-2022-27405: segmentation violation via ft_open_face_internal() when
      attempting to read the value of FT_LONG face_index.
    - CVE-2022-27406: segmentation violation via FT_Request_Size() when
      attempting to read the value of an unguarded face size handle.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 28 Apr 2022 19:54:23 +1000

freetype (2.10.4+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Fix for CVE-2020-15999 (heap buffer overflow) now included.
    - New flag `FT_OUTLINE_OVERLAP' available to make the smooth rasterizer do
      4x4 oversampling to mitigate artifacts in pixels partially covered by
      overlapping contours. This at least quadruples the rendering time.
      FreeType automatically uses this rendering mode if a glyph in a TrueType
      font has the `OVERLAP_SIMPLE' or `OVERLAP_COMPOUND' bit set.
    - Including FreeType header files via FT_*_H macros is no longer required.
      Downstream packages are encouraged to include the FreeType headers via
      standard paths, e.g. #include <freetype/freetype.h>.
    - Support for building with Meson.
    - Fixes for various memory leaks, primarily in the CFF driver module.
    - Jam support has been removed.
    - Many improvements to demo programs.
    - The obsolete `HAVE_STDINT_H' probing macro has been removed.
    - Public macro definitions required by the FreeType API have been moved to
      include/freetype/config/public-macros.h.
    - Private macro definitions used by the FreeType API have been moved to
      include/freetype/config/compiler-macros.h.
    - New common header for integer data types added.
  * debian/control:
    - Build-Depend on zlib1g-dev | libz-dev.
    - Raise Standards-Version from 4.5.0 to 4.5.1 (no changes needed).
  * debian/copyright:
    - Update for FreeType 2.10.4.
    - Remove redundant globbing patterns.
  * debian/patches:
    - Drop cve-2020-15999.patch (fix included in FreeType 2.10.4).
    - Refresh enable-subpixel-rendering.patch.
    - Refresh hide-donations-information.patch.
  * debian/rules: Remove debian/udeb directory before building.
  * debian/tests/libfreetype-dev: Replace the FT_FREETYPE_H macro with a
    standard header inclusion.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 05 Dec 2020 19:20:58 +1100

freetype (2.10.2+dfsg-4) unstable; urgency=high

  * debian/patches: Add upstream patch for CVE-2020-15999 (Closes: #972586).
    - Prevent heap buffer overflow when handling embedded PNG bitmaps
      in malformed TrueType font files.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 21 Oct 2020 09:39:47 +1100

=== debian/rules ===
--- 
+++ 
@@ -65,4 +65,4 @@
 override_dh_auto_clean:
 	dh_auto_clean --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
 	dh_auto_clean
-	rm -rf objs/.libs
+	rm -rf $(udeb_dir) objs/.libs

## freetype 2.10.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,10 +13,10 @@
  libpng-dev,
  libtool,
  libx11-dev <!stage1>,
- libz-dev,
+ zlib1g-dev | libz-dev,
  pkg-config,
  x11proto-core-dev <!stage1>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git

=== debian/tests/control ===
Tests: libfreetype-dev
Depends: build-essential, pkg-config, libfreetype-dev
Restrictions: allow-stderr, superficial

## freetype 2.11.1%2Bdfsg

=== debian/watch ===
version=4

# To verify each package signature, use Werner Lemberg's public PGP key.

# freetype2
opts="pgpsigurlmangle=s/$/.sig/, \
      repacksuffix=+dfsg, \
      repack, compression=xz, \
      dversionmangle=s/@DEB_EXT@//" \
  https://download.savannah.gnu.org/releases/freetype/freetype-(\d\S+)\.tar\.xz debian

# freetype2 docs
opts="pgpsigurlmangle=s/$/.sig/, \
      filenamemangle=s/doc-(\d\S+)\.tar\.xz/$1-ft2docs\.tar\.xz/, \
      component=ft2docs" \
  https://download.savannah.gnu.org/releases/freetype/freetype-doc-(\d\S+)\.tar\.xz same

# freetype2 demos
opts="pgpsigurlmangle=s/$/.sig/, \
      filenamemangle=s/ft2demos-(\d\S+)\.tar\.xz/freetype-$1-ft2demos\.tar\.xz/, \
      component=ft2demos" \
  https://download.savannah.gnu.org/releases/freetype/ft2demos-(\d\S+)\.tar\.xz same

## freetype 2.11.1+dfsg

=== Makefile ===
all: exes


####################################################################
#
# The `space' variable is used to avoid trailing spaces in defining
# the `T' variable later.
#
empty :=
space := $(empty) $(empty)


####################################################################
#
# TOP_DIR is the directory where the main FreeType source is found,
# as well as the `config.mk' file.
#
# TOP_DIR_2 is the directory containing the top of the demonstration
# programs directory.
#
# OBJ_DIR gives the objects directory of the FreeType library.
#
# IF DEVEL_DIR is set, do a development build (i.e., use development
# versions of the FreeType configuration header files `ft2build.h'
# and `ftoption.h' given in this directory).
#
TOP_DIR   ?= ../freetype
TOP_DIR_2 ?= .
OBJ_DIR   ?= $(TOP_DIR)/objs


######################################################################
#
# CONFIG_MK points to the current `config.mk' to use.  It is defined
# by default as $(TOP_DIR)/config.mk.
#
ifndef CONFIG_MK
  PROJECT   := freetype
  CONFIG_MK := $(TOP_DIR)/config.mk
endif


######################################################################
#
# MODULES_CFG points to the current `modules.cfg' to use.  It is defined
# by default as $(TOP_DIR)/modules.cfg.
#
MODULES_CFG ?= $(TOP_DIR)/modules.cfg

ifeq ($(wildcard $(MODULES_CFG)),)
  no_modules_cfg := 1
endif


####################################################################
#
# Check that we have a working `config.mk' in the above directory.
# Otherwise issue a warning message and stop.
#
ifeq ($(wildcard $(CONFIG_MK)),)
  no_config_mk := 1
endif

ifdef no_config_mk

  exes:
	  $(info Please compile the library before the demo programs!)
  clean distclean:
	  $(info I need a path to FreeType 2's `config.mk' to do that!)
	  $(info Set the `TOP_DIR' variable to the correct value.)

else

  ####################################################################
  #
  # Good, now include `config.mk' in order to know how to build
  # object files from sources, as well as other things (compiler
  # flags).
  #
  include $(CONFIG_MK)

  ifndef no_modules_cfg
    include $(MODULES_CFG)
  endif

  have_makefile := $(strip $(wildcard Makefile))

  ifeq ($(PLATFORM),unix)
    ifdef DEVEL_DIR
      PLATFORM := unixdev
    endif
  endif


  ####################################################################
  #
  # Define a few important variables now.
  #
  ifeq ($(PLATFORM),unix)
    # without absolute paths libtool fails
    TOP_DIR   := $(shell cd $(TOP_DIR); pwd)
    TOP_DIR_2 := $(shell cd $(TOP_DIR_2); pwd)
    ifneq ($(have_makefile),)
      BIN_DIR_2 ?= $(TOP_DIR_2)/bin
      OBJ_DIR_2 ?= $(TOP_DIR_2)/objs
    else
      BIN_DIR_2 ?= .
      OBJ_DIR_2 ?= .
    endif
  else
    ifneq ($(have_makefile),)
      BIN_DIR_2 ?= bin
      OBJ_DIR_2 ?= objs
    else
      BIN_DIR_2 ?= .
      OBJ_DIR_2 ?= .
    endif
  endif

  GRAPH_DIR := $(TOP_DIR_2)/graph

  ifeq ($(TOP_DIR),..)
    SRC_DIR := src
  else
    SRC_DIR := $(TOP_DIR_2)/src
  endif

  FT_INCLUDES := $(OBJ_BUILD) \
                 $(DEVEL_DIR) \
                 $(TOP_DIR)/include \
                 $(SRC_DIR)

  COMPILE = $(CC) $(ANSIFLAGS) \
                  $(INCLUDES:%=$I%) \
                  $(CPPFLAGS) \
                  $(CFLAGS)

  # Enable C99 for gcc to avoid warnings.
  # Note that clang++ aborts with an error if we use `-std=C99',
  # so check for `++' in $(CC) also.
  ifneq ($(findstring -pedantic,$(COMPILE)),)
    ifeq ($(findstring ++,$(CC)),)
      COMPILE += -std=c99
    endif
  endif

  FTLIB := $(LIB_DIR)/$(LIBRARY).$A

  # `-lm' is required to compile on some Unix systems.
  #
  ifeq ($(PLATFORM),unix)
    MATH := -lm
  endif

  ifeq ($(PLATFORM),unixdev)
    MATH := -lm
  endif

  # The default variables used to link the executables.  These can
  # be redefined for platform-specific stuff.
  #
  # The first token of LINK_ITEMS must be the executable.
  #
  LINK_ITEMS = $T$(subst /,$(COMPILER_SEP),$@ $<)

  ifeq ($(PLATFORM),unix)
    override CC = $(CCraw)
    LINK_CMD    = $(LIBTOOL) --mode=link $(CC) \
                  $(subst /,$(COMPILER_SEP),$(LDFLAGS))
    LINK_LIBS   = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) $(LIB_CLOCK_GETTIME)
  else
    LINK_CMD = $(CC) $(subst /,$(COMPILER_SEP),$(LDFLAGS))
    ifeq ($(PLATFORM),unixdev)
      LINK_LIBS := $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lrt -lz -lbz2 -lpthread
      LINK_LIBS += $(shell pkg-config --libs libpng)
      LINK_LIBS += $(shell pkg-config --libs harfbuzz)
      LINK_LIBS += $(shell pkg-config --libs libbrotlidec)
    else
      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
    endif
  endif

  # Only on Windows we might fall back on GDI+ for PNG saving
  ifeq ($(OS),Windows_NT)
    LINK_LIBS += -lgdiplus
  endif

  LINK        = $(LINK_CMD) \
                $(LINK_ITEMS) \
                $(LINK_LIBS)
  LINK_COMMON = $(LINK_CMD) \
                $(LINK_ITEMS) $(subst /,$(COMPILER_SEP),$(COMMON_OBJ)) \
                $(LINK_LIBS)
  LINK_GRAPH  = $(LINK_COMMON) $(subst /,$(COMPILER_SEP),$(GRAPH_LIB)) \
                $(GRAPH_LINK) $(MATH)
  LINK_NEW    = $(LINK_CMD) \
                $(LINK_ITEMS) $(subst /,$(COMPILER_SEP),$(COMMON_OBJ) \
                                        $(FTCOMMON_OBJ)) \
                $(LINK_LIBS) $(subst /,$(COMPILER_SEP),$(GRAPH_LIB)) \
                $(GRAPH_LINK) $(MATH)

  .PHONY: exes clean distclean install


  ###################################################################
  #
  # Include the rules needed to compile the graphics sub-system.
  # This will also select which graphics driver to compile to the
  # sub-system.
  #
  include $(GRAPH_DIR)/rules.mk


  ####################################################################
  #
  # Detect DOS-like platforms, currently DOS, Win 3.1, Win32 & OS/2.
  #
  ifneq ($(findstring $(PLATFORM),os2 win16 win32 dos),)
    DOSLIKE := 1
  endif


  ###################################################################
  #
  # Clean-up rules.  Because the `del' command on DOS-like platforms
  # cannot take a long list of arguments, we simply erase the directory
  # contents.
  #
  ifdef DOSLIKE

    clean_demo:
	    -del objs\*.$(SO) 2> nul
	    -del $(subst /,\,$(TOP_DIR_2)/src/*.bak) 2> nul

    distclean_demo: clean_demo
	    -del objs\*.lib 2> nul
	    -del bin\*.exe 2> nul

  else

    clean_demo:
	    -$(DELETE) $(subst /,$(SEP),$(OBJ_DIR_2)/*.$(SO) $(OBJ_DIR_2)/*.$(O))
	    -$(DELETE) $(subst /,$(SEP),$(OBJ_DIR_2)/*.$(SA) $(OBJ_DIR_2)/*.$(A))
	    -$(DELETE) $(subst /,$(SEP),$(OBJ_DIR_2)/.libs/*)
	    -$(DELETE) $(subst /,$(SEP),$(SRC_DIR)/*.bak graph/*.bak)
	    -$(DELETE) $(subst /,$(SEP),$(SRC_DIR)/*~ graph/*~)

    distclean_demo: clean_demo
	    -$(DELETE) $(subst /,$(SEP),$(EXES:%=$(BIN_DIR_2)/%$E))
	    -$(DELETE) $(subst /,$(SEP),$(GRAPH_LIB))
    ifeq ($(PLATFORM),unix)
	      -$(DELETE) $(BIN_DIR_2)/.libs/*
	      -$(DELDIR) $(BIN_DIR_2)/.libs
    endif

  endif

  clean:     clean_demo
  distclean: distclean_demo


  ####################################################################
  #
  # Compute the executable suffix to use, and put it in `E'.
  # It is ".exe" on DOS-ish platforms, and nothing otherwise.
  #
  ifdef DOSLIKE
    E := .exe
  else
    E :=
  endif


  ####################################################################
  #
  # POSIX TERMIOS: Do not define if you use OLD U*ix like 4.2BSD.
  #
  ifeq ($(PLATFORM),unix)
    EXTRAFLAGS = $DUNIX $DHAVE_POSIX_TERMIOS
  endif

  ifeq ($(PLATFORM),unixdev)
    EXTRAFLAGS = $DUNIX $DHAVE_POSIX_TERMIOS
  endif


  ###################################################################
  #
  # The list of demonstration programs to build.
  #
  # Note that ttdebug only works if the FreeType's `truetype' driver has
  # been compiled with TT_CONFIG_OPTION_BYTECODE_INTERPRETER defined.
  #
  EXES := ftbench \
          ftdump  \
          ftlint  \
          ttdebug

  # Comment out the next line if you don't have a graphics subsystem.
  EXES += ftdiff   \
          ftgamma  \
          ftgrid   \
          ftmulti  \
          ftsdf    \
          ftstring \
          ftview

  # ftvalid requires ftgxval.c and ftotval.c
  #
  ifneq ($(findstring ftgxval.c,$(BASE_EXTENSIONS)),)
    ifneq ($(findstring ftotval.c,$(BASE_EXTENSIONS)),)
      EXES += ftvalid
    endif
  endif

  # The following programs are not compiled automatically; either comment
  # out the affected line or use the program name as a Makefile target.
  #
  # EXES += ftchkwd
  # EXES += ftmemchk
  # EXES += ftpatchk
  # EXES += fttimer
  # EXES += testname

  # Not all demo programs have a man page; we thus check for existence in a
  # loop.
  #
  MANPAGES := $(foreach man,$(EXES),$(wildcard $(TOP_DIR_2)/man/$(man).1))

  exes: $(EXES:%=$(BIN_DIR_2)/%$E)


  INCLUDES := $(subst /,$(COMPILER_SEP),$(FT_INCLUDES))


  # generic rule
  $(OBJ_DIR_2)/%.$(SO): $(SRC_DIR)/%.c $(FTLIB)
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)


  ####################################################################
  #
  # Rules for compiling object files for text-only demos.
  #
  $(OBJ_DIR_2)/common.$(SO): $(SRC_DIR)/common.c
  $(OBJ_DIR_2)/strbuf.$(SO): $(SRC_DIR)/strbuf.c
  $(OBJ_DIR_2)/output.$(SO): $(SRC_DIR)/output.c
  $(OBJ_DIR_2)/md5.$(SO): $(SRC_DIR)/md5.c
  $(OBJ_DIR_2)/mlgetopt.$(SO): $(SRC_DIR)/mlgetopt.c
  COMMON_OBJ := $(OBJ_DIR_2)/common.$(SO) \
                $(OBJ_DIR_2)/strbuf.$(SO) \
                $(OBJ_DIR_2)/output.$(SO) \
                $(OBJ_DIR_2)/md5.$(SO) \
                $(OBJ_DIR_2)/mlgetopt.$(SO)

  $(OBJ_DIR_2)/ftcommon.$(SO): $(SRC_DIR)/ftcommon.c $(SRC_DIR)/ftcommon.h
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftpngout.$(SO): $(SRC_DIR)/ftpngout.c $(SRC_DIR)/ftcommon.h
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)

  FTCOMMON_OBJ := $(OBJ_DIR_2)/ftcommon.$(SO) \
                  $(OBJ_DIR_2)/ftpngout.$(SO)

  $(OBJ_DIR_2)/ftdump.$(SO): $(SRC_DIR)/ftdump.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftlint.$(SO): $(SRC_DIR)/ftlint.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftbench.$(SO): $(SRC_DIR)/ftbench.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $(EXTRAFLAGS)

  $(OBJ_DIR_2)/ftpatchk.$(SO): $(SRC_DIR)/ftpatchk.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $(EXTRAFLAGS)

  $(OBJ_DIR_2)/ftchkwd.$(SO): $(SRC_DIR)/ftchkwd.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $(EXTRAFLAGS)

  $(OBJ_DIR_2)/compos.$(SO): $(SRC_DIR)/compos.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftmemchk.$(SO): $(SRC_DIR)/ftmemchk.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/fttimer.$(SO): $(SRC_DIR)/fttimer.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/fttry.$(SO): $(SRC_DIR)/fttry.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/testname.$(SO): $(SRC_DIR)/testname.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

#  $(OBJ_DIR_2)/ftsbit.$(SO): $(SRC_DIR)/ftsbit.c
#	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)


  # We simplify the dependencies on the graphics library by using
  # $(GRAPH_LIB) directly.

  $(OBJ_DIR_2)/ftgamma.$(SO): $(SRC_DIR)/ftgamma.c \
                              $(SRC_DIR)/ftcommon.h \
                              $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftstring.$(SO): $(SRC_DIR)/ftstring.c \
                               $(SRC_DIR)/ftcommon.h \
                               $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftview.$(SO): $(SRC_DIR)/ftview.c \
                             $(SRC_DIR)/ftcommon.h \
                             $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \

=== debian/changelog ===
freetype (2.11.1+dfsg-1ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: OOB write via font subglyph structures parsing
    - debian/patches/CVE-2025-27363.patch: make sure limit doesn't overflow
      in src/truetype/ttgload.c.
    - CVE-2025-27363

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Mar 2025 08:41:20 -0400

freetype (2.11.1+dfsg-1ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2023-2004.patch: fix a integer overflow
      in src/truetype/ttgxvar.c.
    - CVE-2023-2004

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 02 May 2023 08:19:28 -0300

freetype (2.11.1+dfsg-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in sfnt_init_face
    - debian/patches/CVE-2022-27404.patch: avoid invalid face index in
      src/sfnt/sfobjs.c, src/sfnt/sfwoff2.c.
    - CVE-2022-27404
  * SECURITY UPDATE: Segmentation violation in FNT_Size_Request
    - debian/patches/CVE-2022-27405.patch: properly guard face_index in
      src/base/ftobjs.c.
    - CVE-2022-27405
  * SECURITY UPDATE: Segmentation violation in FT_Request_Size
    - debian/patches/CVE-2022-27406.patch: guard face->size in
      src/base/ftobjs.c.
    - CVE-2022-27406
  * SECURITY UPDATE: Heap-based buffer overflow in ftbench demo
    - debian/patches/CVE-2022-31782.patch: check the number of glyphs in
      ft2demos/src/ftbench.c.
    - CVE-2022-31782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Jul 2022 11:13:32 -0400

freetype (2.11.1+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:52:51 +0100

freetype (2.11.1+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Experimental COLR v1 API updated to OpenType standard 1.9.
    - Some fields in the 'CID_FaceDictRec', 'CID_FaceInfoRec' and 'FT_Data'
      structures have been changed from signed to unsigned types.
    - Removal of legacy blitter from graph-based demos.
  * freetype2-doc:
    - Remove links file. The tutorial documentation no longer uses jQuery.
    - Don't install the CMAKE file.
  * libfreetype6: Update symbols file for FreeType 2.11.1.
  * Remove all files in debian/missing-sources (no longer needed).
  * debian/control:
    - libfreetype-dev now Provides libfreetype6-dev (Closes: #1002049).
      Thanks to Jochen Sprickerhof for supplying a patch.
    - No longer Build-Depend on libjs-jquery.
  * debian/copyright: Update for FreeType 2.11.1.
  * debian/patches:
    - Drop autogen-no-git.patch (applied upstream).
    - Drop ft2demos-no-rpath.patch and fix-js-doc-paths.patch.
      Neither patch is needed due to upstream changes.
    - Add a patch to remove remaining jQuery script tags.
    - use-donation-button.patch: Use a button instead of an image for
      donations. Thanks to Paul Wise for the patch. (Closes: #998065).
  * debian/rules:
    - Update files excluded during the dh_installdocs-indep override.
    - Trim relative folder paths in the tutorial documentation.
    - Drop string substitution of the #defined value of SIZEOF_LONG.
      This is no longer needed due to upstream changes.
  * debian/upstream/metadata: Update for FreeType 2.11.1.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 29 Dec 2021 10:22:50 +1100

freetype (2.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Support for creating 8-bit Signed Distance Field (SDF) bitmaps for both
      outline and bitmap glyphs via a new rendering module.
    - Access to surfacing properties of 'COLR' v1 color fonts via a new
      experimental API.
    - Further demotion of the legacy Type 1 and CFF engines due to a lack of
      support for CFF2 charstrings.
    - Correct handling of PCF bitmap fonts compressed with LZW.
    - Enhancements to various demo programs.
  * Subpixel rendering re-enabled for release builds.
  * debian/control:
    - Raise Standards-Version to 4.6.0 from 4.5.1 (no changes needed).
    - Replace fonts-material-design-icons-iconfont with fonts-dejavu-core.
  * debian/copyright: Update for FreeType 2.11.0.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/libfreetype6.symbols: Update for FreeType 2.11.0.
  * debian/patches:
    - autogen-no-git.patch: Only use git commands if building from a branch.
    - Drop remove-gstatic-code.patch (replaced by sed commands in d/rules).
    - Update and refresh other patches.
  * debian/rules:
    - Include /usr/share/dpkg/architecture.mk.
    - Update file exclusions in dh_installdocs-indep.
    - Remove specific lines from the HTML reference documentation to prevent
      Lintian privacy-* warnings.
  * debian/source/lintian-overrides: Silence errors about long lines in the
      HTML documentation.
  * freetyp2-demos: Add wildcard line context to the typo-in-manual-page tag.
  * Remove legacy maintscripts (freetype2-demos, libfreetype6-dev).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 14 Oct 2021 22:06:22 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,14 +10,13 @@
  bzip2,
  gettext,
  libbrotli-dev,
- libjs-jquery,
  libpng-dev,
  libtool,
  libx11-dev <!stage1>,
  zlib1g-dev | libz-dev,
  pkg-config,
  x11proto-core-dev <!stage1>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git
@@ -70,6 +70,7 @@
 Suggests: freetype2-doc (= ${binary:Version})
 Replaces: libfreetype6-dev (<< 2.10.1)
 Breaks: libfreetype6-dev (<< 2.10.1)
+Provides: libfreetype6-dev (= ${binary:Version})
 Description: FreeType 2 font engine, development files
  The FreeType project is a team of volunteers who develop free,
  portable and high-quality software solutions for digital typography.
@@ -117,7 +118,7 @@
 Multi-Arch: foreign
 Depends: libjs-jquery, ${misc:Depends}
 Recommends:
- fonts-material-design-icons-iconfont,
+ fonts-dejavu-core,
  fonts-noto-core
 Replaces: libfreetype6-dev (<< 2.9.1)
 Breaks: libfreetype6-dev (<< 2.9.1)

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,8 @@
 # This is free software; see the GNU General Public Licence
 # version 2 or later for copying conditions.  There is NO warranty.
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -19,6 +18,7 @@
 udeb_builddir := $(udeb_dir)/build
 udeb_installdir := $(udeb_dir)/install
 configure_flags := --without-bzip2 --without-harfbuzz
+doc_dir := debian/freetype2-doc/usr/share/doc/libfreetype-dev
 
 %:
 	dh $@
@@ -31,8 +31,6 @@
 	dh_auto_configure -- $(configure_flags)
 
 override_dh_auto_build:
-	sed -i '/^#[[:space:]]*define SIZEOF_LONG/s/[0-9]/__SIZEOF_LONG__/' \
-	    $(udeb_builddir)/ftconfig.h builds/unix/ftconfig.h
 	dh_auto_build --builddir=$(udeb_builddir)
 	dh_auto_build
 	dh_auto_build --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
@@ -49,11 +47,19 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -p freetype2-doc --doc-main-package=libfreetype-dev \
-	    -Xreference/assets/fonts \
-	    -Xreference/assets/images \
-	    -Xjs/jquery-1.11.0.min.js
-	cp docs/CHANGES debian/freetype2-doc/usr/share/doc/libfreetype-dev/NEWS
-	cp src/pcf/README debian/freetype2-doc/usr/share/doc/libfreetype-dev/pcf/
+	    -Xreference/assets/images
+	cp docs/CHANGES $(doc_dir)/NEWS
+	cp src/pcf/README $(doc_dir)/pcf/
+	sed -i 's@\.\./\.\./js@js@' \
+	    $(doc_dir)/documentation.html \
+	    $(doc_dir)/ft2faq.html \
+	    $(doc_dir)/index.html \
+	    $(doc_dir)/design/*.html \
+	    $(doc_dir)/glyphs/*.html \
+	    $(doc_dir)/tutorial/*.html
+	sed -i '/gstatic/d' $(doc_dir)/reference/*.html
+	sed -i '/googleapis/d' $(doc_dir)/reference/*.html
+	sed -i '/assets\/javascripts/d' $(doc_dir)/reference/*.html
 
 override_dh_installchangelogs:
 	dh_installchangelogs -p freetype2-demos ft2demos/ChangeLog

## freetype 2.12.1%2Bdfsg

=== debian/changelog ===
freetype (2.12.1+dfsg-5+deb12u4) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Minimal stop-gap fix for CVE-2025-27363

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 14 Mar 2025 20:57:00 +0100

freetype (2.12.1+dfsg-5+deb12u3) bookworm; urgency=medium

  * Disable the experimental and incomplete COLRv1 API once again.
  * debian/patches:
    + Re-enable disable_COLRv1.patch.
    + get_colr_glyph_paint.patch: Use correct predicate before function call.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 24 Feb 2024 22:01:26 +1100

freetype (2.12.1+dfsg-5+deb12u2) bookworm; urgency=high

  * debian/patches: Temporarily revert disable_COLRv1.patch to allow
    Chromium to start (Closes: #1053142).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 29 Sep 2023 22:27:32 +1000

freetype (2.12.1+dfsg-5+deb12u1) bookworm; urgency=medium

  * debian/patches: Disable COLRv1 support, which was unintentionally enabled
    by upstream in this version of FreeType (Closes: #1051816).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 25 Sep 2023 19:45:10 +1000

freetype (2.12.1+dfsg-5) unstable; urgency=medium

  * debian/patches: Add a patch to fix CVE-2023-2004 (Closes: #1034612).
    - Integer overflow in tt_hvadvance_adjust().

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 20 Apr 2023 21:08:03 +1000

freetype (2.12.1+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update Lintian override info format in freetype2-demos.lintian-overrides.
  * Re-export upstream signing key without extra signatures.
  * Raise Standards-Version to 4.6.2 (no changes needed).

  [ Hugh McMaster ]
  * debian/control: Update Homepage URL.
  * debian/control, debian/rules:
    + Add the 'pkg.freetype.nodemos' build profile (Closes: #1011049).
    + Support the 'noudeb' build profile (Closes: #1024949).
    + Drop support for the deprecated 'stage1' build profile.
  * debian/copyright:
    + Update Source URL.
    + Update 'debian' copyright block for 2023.
  * debian/rules: Remove un-needed dh_install exclusion from the override.
  * debian/upstream/metadata: Add upstream repositories and update values.
  * freetype2-demos: Update typo-in-manual-page Lintian override.
  * lintian-overrides: Drop source-contains-prebuilt-javascript-object.
  * freetype2-demos: Install binaries and man pages via upstream Makefile.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 12 Jan 2023 23:05:22 +1100

freetype (2.12.1+dfsg-3) unstable; urgency=medium

  * debian/control: Raise Standards-Version to 4.6.1 (no changes needed).
  * debian/patches:
    - ftbench: Exit if the number of glyphs is zero (CVE-2022-31782).
    - Fix a wild free in certain OT-SVG fonts (Closes: #1013094).
      Thanks to Ben Wagner for providing a patch.
    - Harden the demos by appending CPPFLAGS to CFLAGS.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 19 Jun 2022 21:55:46 +1000

freetype (2.12.1+dfsg-2) unstable; urgency=medium

  * Revert "debian/control: Build-Depend on librsvg2-dev".
    - Avoid breaking cross-architecture bootstrap.
    - Prevent a circular build-dependency.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 16 May 2022 21:43:37 +1000

freetype (2.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version: Support for OpenType SVG fonts in the demo programs.
  * debian/copyright: Update for FreeType 2.12.1.
  * debian/patches: Drop cff-segfault, integer-overflow, reset-iup-flags,
    sdf-invisible-glyphs and set-ft-face-flag-color patches.
  * debian/control: Build-Depend on librsvg2-dev.
  * debian/rules: Build the udeb package without librsvg.
  * Update upstream's GPG public signing key.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 13 May 2022 19:46:58 +1000

freetype (2.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version:
    - Support for OpenType SVG fonts. By default, FreeType will only load
      the 'SVG' table of an OpenType font. Please note: OT-SVG support will
      be enabled in Debian when FreeType 2.12.1 is released.
    - Improved handling of fonts with an 'sbix' table.
  * Update upstream's GPG signing key.
  * debian/control: freetype-doc no longer Depends on libjs-jquery.
  * debian/copyright: Update for FreeType 2.12.0.
  * debian/patches:
    - Drop CVE-2022-27404, CVE-2022-27405, CVE-2022-27406 and jquery patches.
    - Refresh enable-gxvalid-otvalid and hide-donations-information patches.
    - Cherry-pick upstream patches:
      + Set FT_FACE_FLAG_COLOR
      + Properly handle invisible glyphs
      + Fix rendering of certain glyphs
      + Prevent an integer overflow
      + Fix a segfault when size is NULL.
  * Update a comment in the Lintian source-overrides file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 08 May 2022 19:03:37 +1000

freetype (2.11.1+dfsg-2) unstable; urgency=high

  * Add upstream patches to fix multiple vulnerabilities. Closes: #1010183.
    - CVE-2022-27404: heap buffer overflow via invalid integer decrement in
      sfnt_init_face() and woff2_open_font().
    - CVE-2022-27405: segmentation violation via ft_open_face_internal() when
      attempting to read the value of FT_LONG face_index.
    - CVE-2022-27406: segmentation violation via FT_Request_Size() when
      attempting to read the value of an unguarded face size handle.
  * debian/copyright: Update debian/* section for 2022.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 26 Apr 2022 23:16:58 +1000

## freetype 2.12.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,13 +11,13 @@
  libbrotli-dev,
  libpng-dev,
  libtool,
- libx11-dev <!stage1>,
+ libx11-dev <!pkg.freetype.nodemos>,
  zlib1g-dev | libz-dev,
  pkg-config,
- x11proto-core-dev <!stage1>
-Standards-Version: 4.6.0
+ x11proto-core-dev <!pkg.freetype.nodemos>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://www.freetype.org
+Homepage: https://freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git
 Vcs-Browser: https://salsa.debian.org/debian/freetype
 
@@ -100,7 +99,7 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
-Build-Profiles: <!stage1>
+Build-Profiles: <!pkg.freetype.nodemos>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FreeType 2 demonstration programs
@@ -116,7 +115,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends:
  fonts-dejavu-core,
  fonts-noto-core
@@ -134,6 +133,7 @@
 Section: debian-installer
 Architecture: any
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FreeType 2 font engine for the debian-installer
  The FreeType project is a team of volunteers who develop free,

=== debian/rules ===
--- 
+++ 
@@ -27,22 +27,34 @@
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure --builddir=$(udeb_builddir) -- $(configure_flags) --without-brotli
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
+	dh_auto_configure --builddir=$(udeb_builddir) -- $(configure_flags) --without-brotli --without-librsvg
+endif
 	dh_auto_configure -- $(configure_flags)
 
 override_dh_auto_build:
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --builddir=$(udeb_builddir)
+endif
 	dh_auto_build
+ifeq (,$(filter pkg.freetype.nodemos,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
+endif
 
 override_dh_auto_install:
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_install --builddir=$(udeb_builddir) --destdir=$(udeb_installdir)
+endif
 	dh_auto_install
+ifeq (,$(filter pkg.freetype.nodemos,$(DEB_BUILD_PROFILES)))
+	dh_auto_install --sourcedir=ft2demos -- TOP_DIR=$(CURDIR)
+endif
 
 override_dh_install:
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_install -p libfreetype6-udeb --sourcedir=$(udeb_installdir)
+endif
 	sed -i -e '/dependency_libs/s/'.*'//' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libfreetype.la
-	dh_install -p freetype2-demos -XREADME
 	dh_install --remaining-packages
 
 override_dh_installdocs-indep:

## freetype 2.13.0+dfsg

=== debian/changelog ===
freetype (2.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.13.0:
    + The 'COLR' v1 API is now considered stable.
    + TrueType interpreter version 38  (also known as 'Infinality') has been
      deprecated and will be removed in the next upstream version.
    + TrueType interpreter version 40 remains the default.
    + Various updates to the demo programs.
  * debian/control:
    + Update Maintainer email address.
    + {Build-}Depend on libbz2-dev.
  * debian/copyright: Update for FreeType 2.13.0 and 2023.
  * debian/patches:
    + Drop CVE-*, fix-wild-free-svg and hardening patches.
    + Refresh hide-donations-information.patch.
    + Rename enable-subpixel-rendering.patch to ftoption.patch.
    + Enable long PCF font family names in ftoption.h.
  * debian/rules: Update configure flags for main and udeb builds.
  * freetype2-doc: Update Lintian overrides.
  * libfreetype6: Update symbols file.

 -- Hugh McMaster <hmc@debian.org>  Thu, 13 Jul 2023 21:39:06 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Hugh McMaster <hmc@debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,6 +9,7 @@
  bzip2,
  gettext,
  libbrotli-dev,
+ libbz2-dev,
  libpng-dev,
  libtool,
  libx11-dev <!pkg.freetype.nodemos>,
@@ -62,6 +63,7 @@
 Depends:
  libfreetype6 (= ${binary:Version}),
  libbrotli-dev,
+ libbz2-dev,
  libc6-dev | libc-dev,
  libpng-dev,
  zlib1g-dev | libz-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 udeb_dir := debian/udeb
 udeb_builddir := $(udeb_dir)/build
 udeb_installdir := $(udeb_dir)/install
-configure_flags := --without-bzip2 --without-harfbuzz
+configure_flags := --without-harfbuzz
+udeb_configure_flags := $(configure_flags) --without-brotli --without-bzip2 --without-librsvg
 doc_dir := debian/freetype2-doc/usr/share/doc/libfreetype-dev
 
 %:
@@ -28,7 +29,7 @@
 
 override_dh_auto_configure:
 ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
-	dh_auto_configure --builddir=$(udeb_builddir) -- $(configure_flags) --without-brotli --without-librsvg
+	dh_auto_configure --builddir=$(udeb_builddir) -- $(udeb_configure_flags)
 endif
 	dh_auto_configure -- $(configure_flags)
